1. Endpoints
Tahdah API
  • Introduction
  • Webhooks
  • Unresolved schema mappings
  • TrustGroups
    • About Trust Groups
    • Endpoints
      • List Trust Groups
        GET
      • Create a Trust Group
        PUT
      • Update Trust Group
        POST
      • List Trust Group Legal Entity Members
        GET
      • List Trust Group Candidate Members
        GET
      • Add Trust Group Member
        PUT
      • Remove Trust Group Member
        DELETE
    • Member Updated
  • EventCredits
    • Add Credits to Legal Entity
    • Event Credits Updated
  • Tracker
    • About Tracker
    • Get Candidate Targets
    • Get Legal Entity Targets
  • Pathways
    • About Pathways
    • Registrations
      • About Registrations
      • Get Registrations
      • Create Registations
      • Registration Created
    • Get Legal Entity Pathways
    • Get Pathway
  • DigitalBadges
    • Issue Digital Badge
    • Get Badge Templates
  • LegalEntities
    • People/Staff
      • Legal Entity People List
      • Connect a Person to a Legal Entity
      • Person Added
      • Roles Updated
    • Legal Entity Details
    • Create Legal Entity
    • Legal Entity Created
  • Candidates
    • EndPoints
      • Create Candidate
      • Update a Candidate
      • Delete Candidate
      • Add/Remove tags to a candidate
    • Webhooks
  • Catalogues
    • Catalogue Entry Published
  • Finance
    • Ledger Entry Created
  • Schemas
    • Inbound
    • Events
      • EventTemplateCreditRequest
      • EventTemplateCredit
    • Catalogue
      • CatalogueEntry
    • Finance
      • Currency
      • InvoiceItem
      • PaymentItem
      • LedgerEntry
      • InvoiceAddress
      • Entity
    • LearningExperiences
      • LearningExperienceRef
      • PathwayTypeRef
    • Candidate
      • CandidateRef
    • LegalEntities
      • RoleRef
      • LegalEntity
      • legalEntityIdentifier
    • TrustGroupMember
    • TrustGroup
    • temp
    • Candidate
    • HATEOAS Link
  1. Endpoints

List Trust Group Legal Entity Members

New Genergy Live
https://api.tahdah.me
New Genergy Live
https://api.tahdah.me
GET
/api/trustgroups/legalentities/{legalEntityOwnerId}/legalentities
Provides a list of all legal entities that are members of any trust group owned by the given legal entity.
You can also supply a comma seperated list of trust group ids to search, although it will only include them in the results if the trust group is owned by the legal entity supplied in the route parameter legalentityid
By default the query will only return active and valid trust group memberships but you can also provide a comma seperated list of statuses that you would like to return.
If you only want the results for a specific legal entity member you can optionally supply either legalentityMemberId or accountNumber

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.tahdah.me/api/trustgroups/legalentities//legalentities?trustGroupIds=1,2,3&statuses=1,2&legalEntityMemberId=181692&accountNumber=11111111' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Body

Example
[
    {
        "id": 1,
        "legalEntityId": 1,
        "accountNumber": "11111111",
        "name": "Joe",
        "status": 1,
        "connectedToLegalEntity": {
            "id": 137559,
            "accountNumber": "111111111",
            "name": "RLSSUK"
        },
        "trustGroupName": "Admin",
        "trustGroupId": 1,
        "dateJoined": "2024-09-09"
    },
    {
        "id": 1,
        "legalEntityId": 1,
        "accountNumber": "11111111",
        "name": "Joe",
        "status": 1,
        "connectedToLegalEntity": {
            "id": 137559,
            "accountNumber": "111111111",
            "name": "RLSSUK"
        },
        "trustGroupName": "Admin",
        "trustGroupId": 1,
        "dateJoined": "2024-11-25"
    },
    {
        "id": 1,
        "legalEntityId": 1,
        "accountNumber": "11111111",
        "name": "Joe",
        "status": 1,
        "connectedToLegalEntity": {
            "id": 137559,
            "accountNumber": "111111111",
            "name": "RLSSUK"
        },
        "trustGroupName": "Admin",
        "trustGroupId": 1,
        "dateJoined": "2024-04-10"
    }
]
🟠400Bad Request
Modified at 2026-01-26 15:52:05
Previous
Update Trust Group
Next
List Trust Group Candidate Members
Built with